> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coval.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete report

> Soft-delete a saved report. If the report is public, its run visibility
is revoked unless another public report still references the same runs.




## OpenAPI

````yaml /api-reference/v1/reports-v1.yaml delete /reports/{report_id}
openapi: 3.0.3
info:
  title: Coval Reports API
  version: 1.0.0
  description: |
    Create and manage saved multi-run reports from existing simulation runs.
  contact:
    name: Coval API Support
    email: support@coval.dev
    url: https://docs.coval.dev
  license:
    name: Proprietary
    url: https://coval.dev/terms
servers:
  - url: https://api.coval.dev/v1
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: Reports
    description: CRUD operations for saved multi-run reports
paths:
  /reports/{report_id}:
    delete:
      tags:
        - Reports
      summary: Delete report
      description: |
        Soft-delete a saved report. If the report is public, its run visibility
        is revoked unless another public report still references the same runs.
      operationId: deleteReport
      parameters:
        - $ref: '#/components/parameters/ReportId'
      responses:
        '200':
          description: Report deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteReportResponse'
              examples:
                deleted:
                  value:
                    message: Report deleted successfully.
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
      security:
        - ApiKeyAuth: []
components:
  parameters:
    ReportId:
      name: report_id
      in: path
      required: true
      schema:
        type: string
        minLength: 26
        maxLength: 26
      description: Saved report ULID.
      example: 01JABCDEFGHJKMNPQRSTVWXYZ0
  schemas:
    DeleteReportResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          example: Report deleted successfully.
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          enum:
            - INVALID_ARGUMENT
            - UNAUTHENTICATED
            - PERMISSION_DENIED
            - NOT_FOUND
            - INTERNAL
          description: Machine-readable error code.
          example: INVALID_ARGUMENT
        message:
          type: string
          description: Human-readable error message.
          example: Invalid request body
        details:
          type: array
          maxItems: 100
          items:
            $ref: '#/components/schemas/ErrorDetail'
    ErrorDetail:
      type: object
      properties:
        field:
          type: string
          nullable: true
          description: Field that caused the error, when available.
          example: metadata_key
        description:
          type: string
          description: Human-readable detail about the error.
          example: metadata_key is required when compare_by is metadata
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: UNAUTHENTICATED
              message: Authentication failed
              details:
                - field: x-api-key
                  description: API key is required in the x-api-key header
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: PERMISSION_DENIED
              message: Insufficient permissions
              details:
                - field: permissions
                  description: The API key does not include the required report permission.
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: NOT_FOUND
              message: Report not found
              details:
                - field: report_id
                  description: Report not found or not authorized.
    InternalError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: INTERNAL
              message: Internal server error
              details:
                - description: >-
                    An unexpected error occurred while processing the report
                    request
    ServiceUnavailable:
      description: Service temporarily unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: INTERNAL
              message: Service temporarily unavailable
              details:
                - description: Database routing is temporarily unavailable. Please retry.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````